## hubzero-texvc 0.8.2

=== Makefile ===
OBJ=render_info.cmo tex.cmo texutil.cmo parser.cmo lexer.cmo texvc.cmo \
render_info.cmx tex.cmx texutil.cmx parser.cmx lexer.cmx texvc.cmx \
lexer.cmi parser.cmi render_info.cmi tex.cmi texutil.cmi texvc.cmi \
lexer.o parser.o render_info.o tex.o texutil.o texvc.o \
lexer.ml parser.ml parser.mli texvc texvc.bc texvc_test.cmo \
texvc_test.cmx texvc_test.cmi texvc_test.o texvc_test util.o \
util.cmo util.cmx util.cmi texvc_cgi.cmi texvc_cgi texvc_cgi.cmo \
render.o render.cmi render.cmo render.cmx texvc_tex.cmx \
texvc_tex.o texvc_tex.cmi texvc_tex html.cmi html.cmo html.cmx \
html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre

INSTDIR=$(DESTDIR)/usr/lib
OWNER=root
GROUP=root

all: texvc texvc_test texvc_tex

install: all
	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755	
	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755	
	install texvc $(INSTDIR)/hubzero/bin/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	

texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
	ocamlc -o $@ unix.cma $^
texvc: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx render.cmx lexer.cmx texvc.cmx
	ocamlopt -o $@ unix.cmxa $^
texvc_test: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_test.cmx
	ocamlopt -o $@ $^
texvc_tex: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_tex.cmx
	ocamlopt -o $@ $^
%.ml: %.mll
	ocamllex $<
%.mli %.ml: %.mly
	ocamlyacc $<
%.cmo: %.ml
	ocamlc -c $<
%.cmx: %.ml
	ocamlopt -c $<
%.cmi: %.mli
	ocamlc -c $<
texvc_cgi.cmo: texvc_cgi.ml
	ocamlc -c $(CGIPATH) $<
texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
	chmod g-w $@
clean:
	rm -f $(OBJ) build-stamp configure-stamp texvc texvc_test texvc_tex

html.cmo: render_info.cmi tex.cmi util.cmo html.cmi 
html.cmx: render_info.cmi tex.cmi util.cmx html.cmi 
html.cmi: tex.cmi 
lexer.cmo: parser.cmi render_info.cmi tex.cmi texutil.cmi 
lexer.cmx: parser.cmx render_info.cmi tex.cmi texutil.cmx 
mathml.cmo: tex.cmi mathml.cmi 
mathml.cmx: tex.cmi mathml.cmi 
mathml.cmi: tex.cmi 
parser.cmo: render_info.cmi tex.cmi parser.cmi 
parser.cmx: render_info.cmi tex.cmi parser.cmi 
parser.cmi: render_info.cmi tex.cmi 
render.cmo: texutil.cmi util.cmo 
render.cmx: texutil.cmx util.cmx 
tex.cmi: render_info.cmi 
texutil.cmo: html.cmi parser.cmi render_info.cmi tex.cmi util.cmo texutil.cmi 
texutil.cmx: html.cmx parser.cmx render_info.cmi tex.cmi util.cmx texutil.cmi 
texutil.cmi: parser.cmi tex.cmi 
texvc.cmo: html.cmi lexer.cmo mathml.cmi parser.cmi render.cmo texutil.cmi util.cmo 
texvc.cmx: html.cmx lexer.cmx mathml.cmx parser.cmx render.cmx texutil.cmx util.cmx 
texvc_cgi.cmo: lexer.cmo parser.cmi render.cmo texutil.cmi util.cmo 
texvc_cgi.cmx: lexer.cmx parser.cmx render.cmx texutil.cmx util.cmx 
texvc_test.cmo: html.cmi lexer.cmo parser.cmi texutil.cmi util.cmo 
texvc_test.cmx: html.cmx lexer.cmx parser.cmx texutil.cmx util.cmx 
texvc_tex.cmo: lexer.cmo parser.cmi texutil.cmi util.cmo 
texvc_tex.cmx: lexer.cmx parser.cmx texutil.cmx util.cmx

## hubzero-texvc 1.0.1

=== Makefile ===
--- 
+++ 
@@ -10,16 +10,14 @@
 html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
 CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre
 
-INSTDIR=$(DESTDIR)/usr/lib
+USRBINDIR=$(DESTDIR)/usr/bin
 OWNER=root
 GROUP=root
 
 all: texvc texvc_test texvc_tex
 
 install: all
-	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755	
-	install -d $(INSTDIR)/hubzero/bin --owner $(OWNER) --group $(GROUP) --mode 0755	
-	install texvc $(INSTDIR)/hubzero/bin/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+	install texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
 
 texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^

## hubzero-texvc 1.1.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 all: texvc texvc_test texvc_tex
 
 install: all
-	install texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+	install -D texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
 
 texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^

## hubzero-texvc 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+.PHONY: clean all
+
 OBJ=render_info.cmo tex.cmo texutil.cmo parser.cmo lexer.cmo texvc.cmo \
 render_info.cmx tex.cmx texutil.cmx parser.cmx lexer.cmx texvc.cmx \
 lexer.cmi parser.cmi render_info.cmi tex.cmi texutil.cmi texvc.cmi \
@@ -10,23 +12,43 @@
 html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
 CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre
 
+COMMON_NATIVE_OBJ  =util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx
+COMMON_BYTECODE_OBJ=util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo lexer.cmo
+
 USRBINDIR=$(DESTDIR)/usr/bin
-OWNER=root
-GROUP=root
 
 all: texvc texvc_test texvc_tex
+cgi: texvc_cgi.cmo texvc_cgi
+clean:
+	rm -f $(OBJ)
 
-install: all
-	install -D texvc $(USRBINDIR)/texvc --owner $(OWNER) --group $(GROUP) --mode 0755	
+# Native versions
+texvc: $(COMMON_NATIVE_OBJ) render.cmx texvc.cmx
+	ocamlopt -o $@ unix.cmxa $^
+texvc_test: $(COMMON_NATIVE_OBJ) lexer.cmx texvc_test.cmx
+	ocamlopt -o $@ $^
+texvc_tex: $(COMMON_NATIVE_OBJ) texvc_tex.cmx
+	ocamlopt -o $@ $^
 
-texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
+# Bytecode version
+texvc.bc: $(COMMON_BYTECODE_OBJ) render.cmo texvc.cmo
 	ocamlc -o $@ unix.cma $^
-texvc: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx render.cmx lexer.cmx texvc.cmx
-	ocamlopt -o $@ unix.cmxa $^
-texvc_test: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_test.cmx
-	ocamlopt -o $@ $^
-texvc_tex: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_tex.cmx
-	ocamlopt -o $@ $^
+
+# CGI related targets:
+texvc_cgi.cmo: texvc_cgi.ml
+	ocamlc -c $(CGIPATH) $<
+texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
+	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
+	chmod g-w $@
+
+#
+# Pattern rules
+#
+
+#  .ml source  .mli interface
+#  .cmi compiled interface
+#  .cmo object       .cma library object
+#  .cmx object file  .cmxa library object file
 %.ml: %.mll
 	ocamllex $<
 %.mli %.ml: %.mly
@@ -37,13 +59,8 @@
 	ocamlopt -c $<
 %.cmi: %.mli
 	ocamlc -c $<
-texvc_cgi.cmo: texvc_cgi.ml
-	ocamlc -c $(CGIPATH) $<
-texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
-	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
-	chmod g-w $@
-clean:
-	rm -f $(OBJ) build-stamp configure-stamp texvc texvc_test texvc_tex
+
+# Various dependencies
 
 html.cmo: render_info.cmi tex.cmi util.cmo html.cmi 
 html.cmx: render_info.cmi tex.cmi util.cmx html.cmi 
@@ -70,3 +87,6 @@
 texvc_test.cmx: html.cmx lexer.cmx parser.cmx texutil.cmx util.cmx 
 texvc_tex.cmo: lexer.cmo parser.cmi texutil.cmi util.cmo 
 texvc_tex.cmx: lexer.cmx parser.cmx texutil.cmx util.cmx 
+
+install: texvc
+	install -D texvc $(USRBINDIR)/texvc --mode 0755

## hubzero-texvc 1.2.0

=== Makefile ===
# @package      hubzero-texvc
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHAREMAN=$(DESTDIR)/usr/share/man

OBJ =	render_info.cmo tex.cmo texutil.cmo parser.cmo lexer.cmo texvc.cmo \
	render_info.cmx tex.cmx texutil.cmx parser.cmx lexer.cmx texvc.cmx \
	lexer.cmi parser.cmi render_info.cmi tex.cmi texutil.cmi texvc.cmi \
	lexer.o parser.o render_info.o tex.o texutil.o texvc.o \
	lexer.ml parser.ml parser.mli texvc \
	util.o \
	util.cmo util.cmx util.cmi \
	render.o render.cmi render.cmo render.cmx \
	html.cmi html.cmo html.cmx \
	html.o mathml.cmi mathml.cmo mathml.cmx mathml.o

COMMON_NATIVE_OBJ  =util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx

all: texvc texvc.1
	@true

texvc.1: texvc.xml
	xsltproc -nonet -o texvc.1 /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl texvc.xml

texvc: $(COMMON_NATIVE_OBJ) render.cmx texvc.cmx
	ocamlopt -o $@ unix.cmxa $^

# Pattern rules

#  .ml source  .mli interface
#  .cmi compiled interface
#  .cmo object       .cma library object
#  .cmx object file  .cmxa library object file

%.ml: %.mll
	ocamllex $<

%.mli %.ml: %.mly
	ocamlyacc $<

%.cmo: %.ml
	ocamlc -c $<

%.cmx: %.ml
	ocamlopt -c $<

%.cmi: %.mli
	ocamlc -c $<

# Various dependencies

html.cmo: render_info.cmi tex.cmi util.cmo html.cmi 
html.cmx: render_info.cmi tex.cmi util.cmx html.cmi 
html.cmi: tex.cmi 
lexer.cmo: parser.cmi render_info.cmi tex.cmi texutil.cmi 
lexer.cmx: parser.cmx render_info.cmi tex.cmi texutil.cmx 
mathml.cmo: tex.cmi mathml.cmi 
mathml.cmx: tex.cmi mathml.cmi 
mathml.cmi: tex.cmi 
parser.cmo: render_info.cmi tex.cmi parser.cmi 
parser.cmx: render_info.cmi tex.cmi parser.cmi 
parser.cmi: render_info.cmi tex.cmi 
render.cmo: texutil.cmi util.cmo 
render.cmx: texutil.cmx util.cmx 
tex.cmi: render_info.cmi 
texutil.cmo: html.cmi parser.cmi render_info.cmi tex.cmi util.cmo texutil.cmi 
texutil.cmx: html.cmx parser.cmx render_info.cmi tex.cmi util.cmx texutil.cmi 
texutil.cmi: parser.cmi tex.cmi 
texvc.cmo: html.cmi lexer.cmo mathml.cmi parser.cmi render.cmo texutil.cmi util.cmo 
texvc.cmx: html.cmx lexer.cmx mathml.cmx parser.cmx render.cmx texutil.cmx util.cmx 

install:
	install --mode 0755 texvc -D $(USRBIN)/texvc
	install --mode 0644 texvc.1 -D $(USRSHAREMAN)/man1/texvc.1

postinst:
	@true

clean:
	rm -f $(OBJ) texvc.1

.PHONY: all install postinst clean

## hubzero-texvc 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-texvc
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,6 +24,17 @@
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
+
+DISTRIBUTION:=$(shell lsb_release -i -s)
+
+# docbook.xsl is in a different location for RH and DEBIAN
+ifeq ($(DISTRIBUTION),Debian)
+dbook="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl"
+else
+dbook="/usr/share/sgml/docbook/xsl-stylesheets-1.75.2/manpages/docbook.xsl"
+endif
+
+
 
 USRBIN=$(DESTDIR)/usr/bin
 USRSHAREMAN=$(DESTDIR)/usr/share/man
@@ -45,7 +56,7 @@
 	@true
 
 texvc.1: texvc.xml
-	xsltproc -nonet -o texvc.1 /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl texvc.xml
+	xsltproc -nonet -o texvc.1 $(dbook) texvc.xml
 
 texvc: $(COMMON_NATIVE_OBJ) render.cmx texvc.cmx
 	ocamlopt -o $@ unix.cmxa $^
@@ -98,10 +109,13 @@
 	install --mode 0755 texvc -D $(USRBIN)/texvc
 	install --mode 0644 texvc.1 -D $(USRSHAREMAN)/man1/texvc.1
 
+uninstall:
+	@true
+
 postinst:
 	@true
 
 clean:
 	rm -f $(OBJ) texvc.1
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-texvc 2.1.1-1+deb7

=== debian/changelog ===
hubzero-texvc (2.1.1-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:30:36 -0400

hubzero-texvc (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:23:41 -0400

hubzero-texvc (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 17:15:01 -0400

hubzero-texvc (1.3.0-1) unstable; urgency=low

  * update version number for diego repo

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 16:30:58 -0400

hubzero-texvc (1.2.0-1) unstable; urgency=low

  *  sync to upstream 2:1.0+git20120528-8, update packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 06 Sep 2014 13:02:41 -0400

hubzero-texvc (1.1.4-1) unstable; urgency=low

  * actually include the binary in the package this time 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 18:58:20 -0400

hubzero-texvc (1.1.3-1) unstable; urgency=low

  *  sync to upstream 2:1.0+git20120528-7

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 13:53:17 -0400

hubzero-texvc (1.1.2-1) unstable; urgency=low

  * version bump for packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:36:32 -0400

hubzero-texvc (1.1.1-1) unstable; urgency=low

  * sync to upstream (1.19.1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 09:44:56 -0400

hubzero-texvc (1.1.0-1) unstable; urgency=low

  * Fix lintian errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 16:18:42 -0400

hubzero-texvc (1.0.1-1) unstable; urgency=low

  * Clean up debian packaging
  * Move to /usr/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2011 18:35:53 -0500

hubzero-texvc (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:23:14 -0400

hubzero-texvc (0.9.2-1) testing; urgency=low

  * added texlive and dvi2ps to dependencies in debian/control

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 01 Apr 2011 15:54:43 -0400

hubzero-texvc (0.9.1-1) testing; urgency=low

  * Updated by Nick to include a few small upstream changes from squeeze

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 22 Mar 2011 00:10:41 -0400

hubzero-texvc (0.9.0-1) testing; urgency=low

  * Added new copyright but left original portion to upstream author.
  * Cleaned up the debian directory.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 04 Mar 2011 03:11:29 -0500

hubzero-texvc (0.8.2-1) unstable; urgency=low

  * Non-maintainer upload.
  * Advanced version number to avoid conflict in the repository, also marked
    as unstable.

 -- John Rosheck <jrosheck@purdue.edu>  Tue, 05 Oct 2010 14:25:53 -0400

hubzero-texvc (0.8.1-1) stable; urgency=low

  * Move installation directory out of conflict with mediawiki-texvc

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 13:24:12 -0400

hubzero-texvc (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 12:29:47 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-texvc
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# free software; you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, version 2.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-texvc install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-texvc 2.1.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,24 @@
 # @package      hubzero-texvc
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
 # The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# free software; you can redistribute it and/or modify it under the terms of
+# the GNU General Public License as published by the Free Software
+# Foundation, version 2.
 #
 # HUBzero is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
+# GNU General Public License for more details.
 #
-# You should have received a copy of the GNU Lesser General Public License
+# You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.

=== debian/changelog ===
hubzero-texvc (2.1.1-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 11:30:36 -0400

=== debian/control ===
Source: hubzero-texvc
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), ocaml, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://www.mediawiki.org/wiki/Extension:Math

Package: hubzero-texvc
Architecture: any
Depends: ${shlibs:Depends}, texlive-latex-base, ghostscript, imagemagick, texlive-latex-extra, ${misc:Depends}
Conflicts: mediawiki-math-texvc, mediawiki-math, mediawiki1.5-math, mediawiki1.9-math, mediawiki1.10-math
Replaces: mediawiki-math-texvc, mediawiki-math, mediawiki1.5-math, mediawiki1.9-math, mediawiki1.10-math
Provides: mediawiki-math, mediawiki-math-texvc
Description: HUBzero CMS math rendering utility
 HUBzero CMS math rendering utility. Same as mediawiki-math but without the
 package dependencies on mediawiki.
 .
 This package contains the texvc binary required for server side math rendering

## hubzero-texvc 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-texvc
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-texvc 2.2.5-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-texvc
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -21,16 +20,21 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 DISTRIBUTION:=$(shell lsb_release -i -s)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 # docbook.xsl is in a different location for RH and DEBIAN
 ifeq ($(DISTRIBUTION),Debian)
 dbook="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl"
 else
+ifeq ($(MAJORVERSION),6)
 dbook="/usr/share/sgml/docbook/xsl-stylesheets-1.75.2/manpages/docbook.xsl"
+else
+dbook="/usr/share/sgml/docbook/xsl-ns-stylesheets-1.78.1/manpages/docbook.xsl"
+endif
 endif

=== debian/changelog ===
hubzero-texvc (2.2.5-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 22:21:01 -0700

hubzero-texvc (2.2.4-1) unstable; urgency=low

  * fix file list in rpm spec

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 18:30:11 -0700

hubzero-texvc (2.2.3-1) unstable; urgency=low

  * update docbook path for el7

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 18:22:41 -0700

hubzero-texvc (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 15:52:29 -0700

hubzero-texvc (2.2.1-1) unstable; urgency=low

  * update dependencies for rpm build

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 09 Apr 2019 16:43:54 -0400

hubzero-texvc (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 16:37:13 -0400

hubzero-texvc (2.1.1-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 11:30:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-texvc
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0), ocaml, xsltproc, docbook-xml, docbook-xsl
 Standards-Version: 3.8.4
 Homepage: http://www.mediawiki.org/wiki/Extension:Math

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-texvc
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,7 +22,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
